## org.gnu.gtk.event
Class ToolBarEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ToolBarEvent

All Implemented Interfaces:
  java.io.Serializable

public class ToolBarEvent
extends GtkEvent

This event is used to identify when a ToolBar receives an event

See Also:
  `ToolBarListener`, Serialized Form

Nested Class Summary
`static class` `ToolBarEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ToolBarEvent(java.lang.Object source, EventType type)` Constructor for ToolBarEvent.

Method Summary
`int` `getButtonNumber()`
`Orientation` `getOrientation()`
`ToolBarStyle` `getStyle()`
`int` `getX()`
`int` `getY()`
`boolean` `isOfType(ToolBarEvent.Type aType)`
`void` `setButtonNumber(int buttonNumber)`
`void` `setOrientation(Orientation orientation)`
`void` `setStyle(ToolBarStyle style)`
`void` `setX(int x)`
`void` `setY(int y)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolBarEvent

    public ToolBarEvent(java.lang.Object source,
                        EventType type)

  Constructor for ToolBarEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(ToolBarEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getButtonNumber

    public int getButtonNumber()

  Returns:
    Returns the buttonNumber.

### setButtonNumber

    public void setButtonNumber(int buttonNumber)

  Parameters:
    `buttonNumber` - The buttonNumber to set.

### getOrientation

    public Orientation getOrientation()

  Returns:
    Returns the orientation.

### setOrientation

    public void setOrientation(Orientation orientation)

  Parameters:
    `orientation` - The orientation to set.

### getStyle

    public ToolBarStyle getStyle()

  Returns:
    Returns the style.

### setStyle

    public void setStyle(ToolBarStyle style)

  Parameters:
    `style` - The style to set.

### getX

    public int getX()

  Returns:
    Returns the x.

### setX

    public void setX(int x)

  Parameters:
    `x` - The x to set.

### getY

    public int getY()

  Returns:
    Returns the y.

### setY

    public void setY(int y)

  Parameters:
    `y` - The y to set.